export declare type bodyType = {
    [key: string]: any;
};
export declare type objectStringsType = {
    [key: string]: string;
};
export declare type useFetchType<D, T = any> = [
    loading: boolean,
    execute: (data: D, headers?: objectStringsType) => Promise<T>,
    data: T | undefined,
    error: objectStringsType | string | undefined
];
export declare type useFetchConfig = {
    promiseResolve: boolean;
    promiseReject: boolean;
};
//# sourceMappingURL=types.d.ts.map